import {useEffect, useContext} from "react";
import React from "react";
import { Redirect, Route } from "react-router";
import {AuthContext} from '../App';

export default function AuthRoute({children, ...rest}) {

  const { isLoggedIn } = useContext(AuthContext)


  return (
    <Route
      {...rest}
      render={({ location }) => {
        if (isLoggedIn) {
          if (location.pathname === "/login") {
            return <Redirect to="/" />;
          } else {
            return children;
          }
        } else if (location.pathname !== "/login") {
          return <Redirect to="/login" />;
        }
        return children;
      }}
    />
  );
}
