import { Redirect, Switch } from "react-router";
import AuthRoute from "./AuthRoute";
import ProductForm from "./ProductForm";
import ProductIndex from "./ProductIndex";
import SearchResults from "./SearchResults";
import PromotionNewFormComponent from "./promotionforms/PromotionNewFormComponent";
import PromotionIndexComponent from "./promo_index/PromotionsIndexComponent";

export default function Main() {

  return (
    <div>
      <Switch>
        <AuthRoute exact path="/products/new">
          <ProductForm method="POST" />
        </AuthRoute>
        <AuthRoute exact path="/products/edit/:productId">
          <ProductForm method="PUT" />
        </AuthRoute>
        <AuthRoute
          exact
          path="/promos/new"
          component={PromotionNewFormComponent}
        ></AuthRoute>
        <AuthRoute exact path="/products" component={ProductIndex}></AuthRoute>
        <AuthRoute path="/promos">
          <PromotionIndexComponent />
        </AuthRoute>
        <AuthRoute exact path="/">
          <Redirect to="/products" />
        </AuthRoute>
        <AuthRoute path="/searchResults" component={SearchResults} />
        <AuthRoute>
          <h1>404 Page Not Found</h1>
        </AuthRoute>
      </Switch>
    </div>
  );
}
