import React, { useState } from "react";
import "./../styles/ProductRow.css";
import { Modal, Button, Alert } from "react-bootstrap";

export default function ProductRow({ product, handleDelete }) {
  const [show, setShow] = useState(false);
  const [showConfirm, setShowConfirm] = useState(false);

  const handleClose = () => {
    setShow(false);
    console.log({ show });
    handleCloseConfirm();
  };

  const handleCloseDelete = (sku) => {
    handleDelete(sku);
    handleClose();
  };

  const handleShow = () => setShow(true);
  const handleShowConfirm = () => setShowConfirm(true);
  const handleCloseConfirm = () => setShowConfirm(false);

  return (
    <tr>
      <td onClick={handleShow}>{product.sku}</td>
      <td onClick={handleShow}>{product.upc}</td>
      <td onClick={handleShow}>{product.productName}</td>
      <td onClick={handleShow}>${product.price}</td>
      <td onClick={handleShow}>{product.category}</td>
      <td onClick={handleShow}>{product.availableStock}</td>
      <td onClick={handleShow}>{product.blockedStock}</td>
      <td onClick={handleShow}>{product.fulfilledStock}</td>

      <Modal show={show} onHide={handleClose}>
        <Modal.Header closeButton>
          <Modal.Title>{product.productName}</Modal.Title>
        </Modal.Header>

        <Modal.Body>
          <div className="modal-img">
            <img src={product.productImageUrl} alt={product.productName} />
          </div>
          <h5>{product.sku}</h5>${product.price}
          <br />
          {product.productDescription}
          <br />
          In Stock: {product.availableStock}
          <br />
          Blocked Stock: {product.blockedStock}
          <br />
          Fulfilled Stock: {product.fulfilledStock}
        </Modal.Body>

        <Modal.Footer>
          <Button
            variant="danger"
            className="float-left"
            onClick={handleShowConfirm}
          >
            Delete product
          </Button>
          <Button variant="primary" href={`/products/edit/${product.sku}`}>
            Edit Product
          </Button>

          <Alert show={showConfirm} variant="danger">
            <h5> Are you sure?</h5>
            <Button variant="secondary" onClick={handleCloseConfirm}>
              Cancel
            </Button>
            &nbsp;&nbsp;
            <Button
              variant="danger"
              onClick={() => handleCloseDelete(product.sku)}
            >
              Yes, delete
            </Button>
          </Alert>
        </Modal.Footer>
      </Modal>
    </tr>
  );
}
