import React, { useState, useEffect } from "react";
import ProductRow from "./ProductRow.jsx";
import { Container, Table } from "react-bootstrap";
import Config from "../config.js";
import { deleteProduct } from "../actions/apiRequests";

export default function ProductTable({ fetchProducts, products }) {
  // const [products, setProducts] = useState([...productData]);

  // const fetchProducts = async () => {
  //   const res = await fetch(`${Config.inventoryUrl}`);
  //   if (res.ok) {
  //     const data = await res.json();
  //     setProducts([...data]);
  //   }
  // };

  const handleDelete = (sku) => {
    deleteProduct(sku)
      .then(() => {
        fetchProducts();
      });
  }

  useEffect(() => fetchProducts(), []);

  return (
    <Container id="prod-table" className="mt-3 mx-auto">
      <Table>
        <thead>
          <tr>
            <th>SKU</th>
            <th>UPC</th>
            <th>Product Name</th>
            <th>Price</th>
            <th>Category</th>
            <th>Available Stock</th>
            <th>Blocked Stock</th>
            <th>Fulfilled Stock</th>
          </tr>
        </thead>
        <tbody>
          {products.map((product) => {
            return (
              <ProductRow key={product.sku} product={product} handleDelete={() => handleDelete(product.sku)} />
            );
          })}
        </tbody>
      </Table>
    </Container>
  );
}
