import React, {useContext} from 'react';
import {GoogleLogout} from 'react-google-login';
import {AuthContext} from "../../App";
import { Dropdown } from 'react-bootstrap';
import "./LogoutDropDown.css";
const google_ClientID = process.env.REACT_APP_GOOGLE_CLIENT_ID;
const clientId = `${google_ClientID}.apps.googleusercontent.com`;

function LogoutButton(){

    const { isLoggedIn, setIsLoggedIn, user , setUser } = useContext(AuthContext);

    const onSuccessLogout= (res) =>{
        setIsLoggedIn(false);
    }

    return(
        <div>
            <Dropdown>
                <Dropdown.Toggle  className="dropdown">
                    <img className="profile-pic" src={user.imageUrl}/>
                    {user.name}
                </Dropdown.Toggle>
                <Dropdown.Menu>
                <Dropdown.Item>Profile</Dropdown.Item>
                <Dropdown.Item><GoogleLogout
                render={props => (<div onClick={props.onClick}>Logout</div>)}
                clientId= {clientId}
                buttonText="Logout"
                onLogoutSuccess={onSuccessLogout}
            /></Dropdown.Item>
                </Dropdown.Menu>
            </Dropdown>

        </div>
    );
}

export default LogoutButton;
